diff --git a/Makefile b/Makefile
index 987708f..9442911 100644
--- a/Makefile
+++ b/Makefile
@@ -10,10 +10,10 @@ PC_LIBS := $(shell $(PKG_CONFIG) --libs $(PC_DEPS))
 
 CPPFLAGS += -D_GNU_SOURCE=1
 CFLAGS += -std=c99 -Wall -Wsign-compare -Wpointer-arith -Wcast-qual \
-         -Wcast-align -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64
+         -Wcast-align -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DDRV_AMDGPU -DDRI_DRIVER_DIR=/run/opengl-driver/lib/dri
 
 ifdef DRV_AMDGPU
-       CFLAGS += $(shell $(PKG_CONFIG) --cflags libdrm_amdgpu)
+       CFLAGS += $(shell $(PKG_CONFIG) --cflags libdrm_amdgpu osmesa)
        LDLIBS += -ldrm_amdgpu -ldl
 endif
 ifdef DRV_I915
diff --git a/dri.c b/dri.c
index 8b55c32..ac8794b 100644
--- a/dri.c
+++ b/dri.c
@@ -452,7 +452,7 @@ size_t dri_num_planes_from_modifier(struct driver *drv, uint32_t format, uint64_
        }
 
        uint64_t planes;
-       GLboolean ret = dri->image_extension->queryDmaBufFormatModifierAttribs(
+       int ret = dri->image_extension->queryDmaBufFormatModifierAttribs(
            dri->device, format, modifier, __DRI_IMAGE_FORMAT_MODIFIER_ATTRIB_PLANE_COUNT, &planes);
        if (!ret)
                return 0;
